Package com.collabnet.ce.soap60.webservices

# Class ClientSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub

Direct Known Subclasses:
  `CategorizationAppSoapStub`, `ClientSoapMockStub`, `CollabNetSoapStub`, `DiscussionAppSoapStub`, `DocumentAppSoapStub`, `FileStorageAppSoapStub`, `FrsAppSoapStub`, `IntegrationDataAppSoapStub`, `MonitoringAppSoapStub`, `NewsAppSoapStub`, `PageAppSoapStub`, `PlanningAppSoapStub`, `PluggableAppSoapStub`, `RbacAppSoapStub`, `ScmAppSoapStub`, `SimpleFileStorageAppSoapStub`, `TagAppSoapStub`, `TeamAppSoapStub`, `TrackerAppSoapStub`, `WikiAppSoapStub`

public abstract class ClientSoapStub extends Object
Web service client-side setup.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Integer`
  `DEFAULT_CLIENT_TIME_OUT`
  Default Client call timeout

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientSoapStub(String soapServer)`
  Stub constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.axis.client.Call`
  `getServiceCall(String methodName)`
  Create a new service call to the given method
  `protected String`
  `getSoapServer()`
  Returns the soap server on the client stub
  `int`
  `getTimeout()`
  Gets the client http socket timeout.
  `void`
  `setTimeout(int ms)`
  Sets the client http socket timeout.
  `protected String`
  `soapParam(String param)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_CLIENT_TIME_OUT

    public static final Integer DEFAULT_CLIENT_TIME_OUT
    Default Client call timeout

- ## Constructor Details

  - ### ClientSoapStub

    public ClientSoapStub(String soapServer)
    Stub constructor.
    Parameters:
      `soapServer` - Soap server url.

- ## Method Details

  - ### getServiceCall

    protected org.apache.axis.client.Call getServiceCall(String methodName) throws RemoteException
    Create a new service call to the given method
    Parameters:
      `methodName` - the name of the method (eg, "createUser")
    Returns:
      a new Call instance, ready to be invoked
    Throws:
      `RemoteException` - when an error is encountered in creating the service call.

  - ### getSoapServer

    protected String getSoapServer()
    Returns the soap server on the client stub
    Returns:
      The new soap server of a client stub

  - ### setTimeout

    public void setTimeout(int ms)
    Sets the client http socket timeout.
    Parameters:
      `ms` - the timeout value in milliseconds

  - ### getTimeout

    public int getTimeout()
    Gets the client http socket timeout. If timeout is not specified, this will return default time out of 60000 ms

  - ### soapParam

    protected String soapParam(String param)